package com.ghy.worker.mapper;

import com.ghy.worker.domain.Worker;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface WorkerMapper {

    /**
     * @param worker 师傅端
     * @return 师傅集合
     */
    List<Worker> getWorkerList(Worker worker);

    Worker getWorkerByOpenId(@Param("openId") String openId);

    /**
     * @param worker 师傅端
     * @return 师傅集合
     */
    List<Worker> getWorkByPhoneAndPwd(Worker worker);

    /**
     * @param worker 师傅信息
     * @return 新增成功条数
     */
    int insertWorker(Worker worker);

    /**
     * @param worker 师傅信息
     * @return 更新成功条数
     */
    int updateWorker(Worker worker);

    /**
     * 用师傅ID查询
     *
     * @param workerId 师傅ID
     */
    Worker selectById(Long workerId);

    /**
     * 根据师傅id集合信息进行批量数据查询
     *
     * @param workIds 师傅Id集合信息。
     * @return Worker实体集合信息。
     */
    List<Worker> selectByIds(@Param("workIds") Collection<Long> workIds);
}
